Update zone
curl --request PUT \
--url https://api.truecold.io/zone/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"code": "<string>",
"site_id": "<string>"
}
'import requests
url = "https://api.truecold.io/zone/{id}"
payload = {
"code": "<string>",
"site_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', site_id: '<string>'})
};
fetch('https://api.truecold.io/zone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>"
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Zones
Update zone
PUT
/
zone
/
{id}
Update zone
Authorizations
API key for authentication. Contact your administrator to get an API key.
Path Parameters
Zone ID
Body
application/json
Response
Successfully updated zone
Zone entity (API response)
Unique identifier
Creation timestamp
Last update timestamp
code code
Account ID
Site ID
Soft deletion timestamp
User who soft deleted the record
⌘I
